[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImageListCache' (#lcl)

# TImageListCache.RegisterListener

Adds a listener for an image list stored in the cache.

## Declaration

Source position: imagelistcache.pas line 74

`public function TImageListCache.RegisterListener(`
`AListener: IImageCacheListener`
`):Integer;`

## Arguments

`AListener` |  | Listener interface added to the internal list.

## Function result

Position where the specified listener was stored in the internal list.

## Description

RegisterListener is a method used to add the specified cache listener in AListener to the internal list of listener interfaces. If AListener does not already exist in the list, it is added.

RegisterListener is called from the RegisterBitmap method.

## See also

IImageCacheListener |  | Interface that cache user should have to listen for cache changes.
TInterfaceList